# class DOMError

#### package js.html

Available on HTML5

The `DOMError` interface describes an error object that contains an error name.

Documentation DOMError by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/DOMError

### Constructor

###

`new (name:String, message:String = "")`

Throws:

`null` | DOMError

### Variables

###

`read onlymessage:String`

###

`read onlyname:String`

Returns a `DOMString` representing one of the error type names (see below).